org.wildfly.swarm.undertow.descriptors

## Interface JBossWebContainer<T extends <any>>

- All Known Subinterfaces:
    JAXRSArchive, WARArchive

      public interface JBossWebContainer<T extends <any>>

  An archive mix-in supporting `jboss-web.xml` capabilities.
  Author:
    Bob McWhirter

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `JBOSS_WEB_PATH`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default JBossWebAsset` | `findJbossWebAsset()` Locate and load, or create a `jboss-web.xml` asset for this archive.
    `default String` | `getContextRoot()` Retrieve the context root of this deployment.
    `default String` | `getSecurityDomain()` Retrieve the security domain of this deployment.
    `default T` | `setContextRoot(String contextRoot)` Set the context root of this deployments.
    `default T` | `setSecurityDomain(String securityDomain)` Set the security domain of this deployment.

- - ### Field Detail

    - #### JBOSS_WEB_PATH

          static final String JBOSS_WEB_PATH

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### setContextRoot

          default T setContextRoot(String contextRoot)

      Set the context root of this deployments.
      Parameters:
        `contextRoot` - The context root.
      Returns:
        This archive.

    - #### getContextRoot

          default String getContextRoot()

      Retrieve the context root of this deployment.
      Returns:
        The context root.

    - #### getSecurityDomain

          default String getSecurityDomain()

      Retrieve the security domain of this deployment.
      Returns:
        The security domain.

    - #### setSecurityDomain

          default T setSecurityDomain(String securityDomain)

      Set the security domain of this deployment.
      Parameters:
        `securityDomain` - The security domain.
      Returns:
        This archive.

    - #### findJbossWebAsset

          default JBossWebAsset findJbossWebAsset()

      Locate and load, or create a `jboss-web.xml` asset for this archive.
      Returns:
        The existing or new `jboss-web.xml` asset.

Copyright © 2017 JBoss by Red Hat. All rights reserved.